Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class TransactionMessageType

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.TransactionMessageType

Direct Known Subclasses:
  CommitMessageType, ErrorMessageType, PreparedMessageType, PrepareMessageType, StateMessageType

    public class TransactionMessageType

extends Object

Java class for TransactionMessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionMessageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Target" type="{http://www.atomikos.com/schemas/2005/10/transactions}AddressType"/>
             <element name="Sender" type="{http://www.atomikos.com/schemas/2005/10/transactions}AddressType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected AddressType` | `sender`
`protected AddressType` | `target`

Constructor Summary
`TransactionMessageType()`

Method Summary
`AddressType` | `getSender()` Gets the value of the sender property.
`AddressType` | `getTarget()` Gets the value of the target property.
`void` | `setSender(AddressType value)` Sets the value of the sender property.
`void` | `setTarget(AddressType value)` Sets the value of the target property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected AddressType target

### sender

    protected AddressType sender

Constructor Detail

### TransactionMessageType

    public TransactionMessageType()

Method Detail

### getTarget

    public AddressType getTarget()

  Gets the value of the target property.

  Returns:
    possible object is `AddressType`

### setTarget

    public void setTarget(AddressType value)

  Sets the value of the target property.

  Parameters:
    `value` - allowed object is `AddressType`

### getSender

    public AddressType getSender()

  Gets the value of the sender property.

  Returns:
    possible object is `AddressType`

### setSender

    public void setSender(AddressType value)

  Sets the value of the sender property.

  Parameters:
    `value` - allowed object is `AddressType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.